html {
  box-sizing: border-box;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  display: flex;
  align-items: center;
  justify-content: space-around;

  background: #b32502;
  background: linear-gradient(-45deg, #a32e00, #e73c7e, #23a6d5, #59ffd8);
  background-size: 400% 400%;

  color: #ffffff;
  margin: 0 auto;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;

  min-height: 100vh;
  background-position: 100% 50%;
  transition: background-position 1.5s;
}

h3 {
  font-family: "Caveat", "Times New Roman", Times, serif;
  font-weight: lighter;
  font-size: 1.3em;
  margin: 0.4rem;

  cursor: default;
  transition: transform 0.5s;
}

h3:hover {
  transform: scale(1.1);
}

p,
a {
  font-family: "Play", "Times New Roman", Times, serif;
  font-size: 0.8em;
}

p {
  cursor: default;
}

a {
  padding: 0 0.3rem;
  color: #ffbefa;
  text-decoration: none;
  transition: all 0.3s;
}

a:hover {
  color: #ffffff;
  background-color: #852007;
  border-radius: 1rem;
}

.main-container {
  display: flex;
}

.main-meaning {
  margin-bottom: 2rem;
}

#img-nastaligh {
  margin: 0.5rem auto 3rem auto;
  width: min(70vw, 70vh);
  height: min(70vw, 70vh);

  transition: all 1.5s;
}

#img-nastaligh:hover {
  filter: hue-rotate(120deg);
  transform: rotate(-43deg);
}

footer {
  position: fixed;
  bottom: 0;
  right: 0;
  left: 0;

  text-align: center;
}

@media screen and (max-width: 600px) {
  .main-container {
    transform: translateY(-70px);
  }

  #img-nastaligh {
    width: min(95vw, 95vh);
    height: min(95vw, 95vh);
  }
}
